SVMSGD (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class SVMSGD

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.SVMSGD

-     public class SVMSGD
      extends StatModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ASGD`
    `static int` | `HARD_MARGIN`
    `static int` | `SGD`
    `static int` | `SOFT_MARGIN`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SVMSGD(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SVMSGD` | `__fromPtr__(long addr)`
    `static SVMSGD` | `create()`
    `protected void` | `finalize()`
    `float` | `getInitialStepSize()`
    `float` | `getMarginRegularization()`
    `int` | `getMarginType()`
    `float` | `getShift()`
    `float` | `getStepDecreasingPower()`
    `int` | `getSvmsgdType()`
    `TermCriteria` | `getTermCriteria()`
    `Mat` | `getWeights()`
    `static SVMSGD` | `load(java.lang.String filepath)`
    `static SVMSGD` | `load(java.lang.String filepath, java.lang.String nodeName)`
    `void` | `setInitialStepSize(float InitialStepSize)`
    `void` | `setMarginRegularization(float marginRegularization)`
    `void` | `setMarginType(int marginType)`
    `void` | `setOptimalParameters()`
    `void` | `setOptimalParameters(int svmsgdType, int marginType)`
    `void` | `setStepDecreasingPower(float stepDecreasingPower)`
    `void` | `setSvmsgdType(int svmsgdType)`
    `void` | `setTermCriteria(TermCriteria val)`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SGD

          public static final int SGD

      See Also:
        Constant Field Values

    - #### ASGD

          public static final int ASGD

      See Also:
        Constant Field Values

    - #### SOFT_MARGIN

          public static final int SOFT_MARGIN

      See Also:
        Constant Field Values

    - #### HARD_MARGIN

          public static final int HARD_MARGIN

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SVMSGD

          protected SVMSGD(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SVMSGD __fromPtr__(long addr)

    - #### getWeights

          public Mat getWeights()

    - #### create

          public static SVMSGD create()

    - #### load

          public static SVMSGD load(java.lang.String filepath,
                                    java.lang.String nodeName)

    - #### load

          public static SVMSGD load(java.lang.String filepath)

    - #### getTermCriteria

          public TermCriteria getTermCriteria()

    - #### getInitialStepSize

          public float getInitialStepSize()

    - #### getMarginRegularization

          public float getMarginRegularization()

    - #### getShift

          public float getShift()

    - #### getStepDecreasingPower

          public float getStepDecreasingPower()

    - #### getMarginType

          public int getMarginType()

    - #### getSvmsgdType

          public int getSvmsgdType()

    - #### setInitialStepSize

          public void setInitialStepSize(float InitialStepSize)

    - #### setMarginRegularization

          public void setMarginRegularization(float marginRegularization)

    - #### setMarginType

          public void setMarginType(int marginType)

    - #### setOptimalParameters

          public void setOptimalParameters(int svmsgdType,
                                           int marginType)

    - #### setOptimalParameters

          public void setOptimalParameters()

    - #### setStepDecreasingPower

          public void setStepDecreasingPower(float stepDecreasingPower)

    - #### setSvmsgdType

          public void setSvmsgdType(int svmsgdType)

    - #### setTermCriteria

          public void setTermCriteria(TermCriteria val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StatModel`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:52 MDT / OpenCV unknown